#
# spec file for package kaffeine (Version 0.6)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  kde3-devel-packages libart_lgpl libart_lgpl-devel libxine1-devel libxine1

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel arts arts-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc libart_lgpl libart_lgpl-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl python qt3 qt3-devel rpm unsermake update-desktop-files libxine1-devel libxine1 xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         kaffeine
URL:          http://kaffeine.sourceforge.net/
License:      GPL
Group:        Productivity/Multimedia/Video/Players
Summary:      Xine-based Multimedia Player
Version:      0.6
Release:      6
%define rversion %version
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Provides:     kaxtv
Obsoletes:    kaxtv
#%if %suse_version > 920
#Requires:     xine-mad
#%endif
Source0:      %name-%rversion.tar.bz2
Source3:      logo04.mpg
Source4:      logo.ogg
Patch0:       %name.diff
Patch1:       adjust-mimetypes.diff
#Patch2:       messagebox-dvd.diff
#Patch3:       disable-link.diff

%description
Kaffeine plays all files and devices supported by Xine. For example:
MPEG files, AVI (if the codec being used is supported by Xine), MP3,
and Ogg Vorbis. It also handles Video CDs, DVD, and DVB cards.



Authors:
--------
    Jrgen Kofler <kaffeine@gmx.net>

%prep
%setup -q -n %name-%rversion
%patch
%patch1
#%patch2
#%patch3
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
  
make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=${RPM_BUILD_ROOT} $INSTALL_TARGET
#
%if %suse_version > 910
install -m 0644 %SOURCE4 $RPM_BUILD_ROOT/opt/kde3/share/apps/kaffeine/logo.avi
%else
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/opt/kde3/share/apps/kaffeine/logo.avi
%endif
# -r to get rid of Music
%suse_update_desktop_file -r kaffeine KDE AudioVideo Player Video
%find_lang %name

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %name.lang
%defattr(-,root,root)
%_mandir/*/*/kaffeine.1.gz
%_mandir/*/kaffeine.1.gz
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/share/appl*/*/*
/opt/kde3/share/apps/*
/opt/kde3/share/icons/*
/opt/kde3/share/mimelnk/*/*.desktop
/opt/kde3/share/services/*.desktop
/opt/kde3/include/kaffeine
%doc %lang(zh_CN) /opt/kde3/share/doc/HTML/zh_CN

%changelog -n kaffeine
* Mon Apr 04 2005 - joe_morris@ntm.org
- remove the dvd disable
* Thu Mar 24 2005 - adrian@suse.de
- update to version 0.6
  * DVB support merged from kaxtv
* Fri Mar 11 2005 - adrian@suse.de
- remove too late XInitThread() call in kpart, which can cause a
  crash (#72072)
* Wed Mar 02 2005 - adrian@suse.de
- add DVD warning dialog again
* Thu Feb 17 2005 - adrian@suse.de
- menu entry moved to xdg dir
* Mon Jan 03 2005 - coolo@suse.de
- fix installation of german man page
* Mon Jan 03 2005 - adrian@suse.de
- update to version 0.5 final
* Wed Dec 22 2004 - ro@suse.de
- only package english manpage for now
* Wed Nov 10 2004 - adrian@suse.de
- update to version 0.5rc2
* Wed Oct 06 2004 - adrian@suse.de
- update to version 0.5rc1
* Wed Sep 29 2004 - adrian@suse.de
- fix broken desktop file syntax
* Wed Sep 29 2004 - adrian@suse.de
- fix handling from streams
* Sun Sep 26 2004 - adrian@suse.de
- adjust mimetypes to KDE 3.3 mimetypes
- remove realplayer support, the Helix plugin is not supported atm.
* Thu Aug 19 2004 - adrian@suse.de
- use the logo codec file in theora format on SuSE 9.2 and later
* Wed Jun 02 2004 - adrian@suse.de
- update to version 0.4.3b
* Mon May 03 2004 - adrian@suse.de
- update to version 0.4.3
  * obsoletes XInitThread patch
* Fri Apr 16 2004 - adrian@suse.de
- apply crash fix from Helio
* Tue Apr 13 2004 - adrian@suse.de
- update to version 0.4.2
* Mon Apr 05 2004 - adrian@suse.de
- update czech translations
* Tue Mar 16 2004 - adrian@suse.de
- replace logo video. DivX4 won't work with our xine.
* Sat Feb 21 2004 - adrian@suse.de
- remove Music from Categories
* Mon Jan 19 2004 - adrian@suse.de
- update to version 0.4.1
* Sun Nov 16 2003 - adrian@suse.de
- update to final 0.4 version
* Fri Nov 07 2003 - adrian@suse.de
- fix build
- update to pre-0.4 snapshot
* Wed Oct 01 2003 - adrian@suse.de
- use --nofork in desktop file or temporary files are get
  removed to early
* Sun Sep 21 2003 - adrian@suse.de
- implement the message box different. It can get translated now
  and it solves also a crash in some cases. (#30224)
* Fri Sep 19 2003 - adrian@suse.de
- from #31052
  * fix possible crash on quit
  * ask explizit for the "none" audio driver, if "auto" fails.
* Fri Sep 19 2003 - adrian@suse.de
- add czech translation
* Thu Sep 18 2003 - varkoly@suse.de
- add hungarian translation
* Sat Sep 06 2003 - adrian@suse.de
- higher priority
- fix position change on pause
* Fri Sep 05 2003 - adrian@suse.de
- justify Categories
* Mon Aug 25 2003 - adrian@suse.de
- fix configure script to detect libXtest -> no DPMS anymore during
  playing
* Sat Aug 23 2003 - adrian@suse.de
- drop some delete calls, which are reported as invalid by valgrind
  seems that fixes the crashes
* Mon Jul 28 2003 - adrian@suse.de
- use new macro name for %%suse_update_desktop_file
* Mon Jul 28 2003 - adrian@suse.de
- add Categories
* Wed Jul 16 2003 - adrian@suse.de
- initial package of version 0.3.2
